Loading...
Searching...
No Matches
OracleSqlUtil::OracleType Class Reference

represents an Oracle type More...

Inheritance diagram for OracleSqlUtil::OracleType:
[legend]

## Public Member Functions

string | getDropSql (*hash opt)
| returns a string that can be used to drop the type from the database More...
Public Member Functions inherited from OracleSqlUtil::OracleCodeBaseNoRename
| constructor (string n, string n_type, string n_src)
| creates the object from the arguments passed More...
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the object in the database More...
Public Member Functions inherited from OracleSqlUtil::OracleCodeBase
| constructor (string n, string n_type, string n_src)
| creates the object from the arguments passed More...
bool | equalImpl (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not
softlist | getCreateSql (*hash opt)
| returns a string that can be used to create the object in the database More...
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the object in the database More...

## Detailed Description

represents an Oracle type

## Member Function Documentation

## getDropSql()

string OracleSqlUtil::OracleType::getDropSql | ( | *hash | opt | ) |

returns a string that can be used to drop the type from the database

Parameters

  opt | drop options; if force is True, then the `FORCE` option will be used in the drop statement